/*
Theme Name:  Nectarblocks Child Theme
Version:     1.0.0
Template:    nectar-blocks-theme
Description: Child theme for Nectarblocks.
Theme URI:   https://nectarblocks.com
Author:      NectarBlocks
Author URI:  https://nectarblocks.com
License:     Custom license
License URI: https://nectarblocks.com/license
Text Domain: nectar-blocks-theme
*/

/*-------------------------------------------------------------------------*/
/* Note: The theme CSS files are loaded through the /css/ folder. 
/*-------------------------------------------------------------------------*/

/* menu off canvas */

#slide-out-widget-area.fullscreen .inner-wrap,
#slide-out-widget-area.fullscreen-alt .inner-wrap
{
	padding: 0 !important;
	margin: 0 !important;

}

#slide-out-widget-area.fullscreen-alt .inner>div
{
	margin: 0 !important;
}

/* animation hover off canvas */
#slide-out-widget-area:not(.has-nectar-template) a:hover .nectar-blocks-icon__inner
{
	color: #ffc04c;
	transform: rotate(-45deg);
}

#slide-out-widget-area:not(.has-nectar-template) a:hover .nectar-blocks-text
{
	color: #ffc04c!important;
}

/* icon flèche - plus fin */
svg.lucide.lucide-arrow-right 
{
    stroke-width: 1.5px;
}


/* Interactive map CSS */
.regionData-gridcolumn {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.regionData-gridcolumn span
{
    margin-top: 5px;
	font-size: 4rem;
	line-height: 2.5rem;
	font-weight: 900;
	font-family: "Roc Grotesk - Compressed";
	color: #170e4f;
    width: 10vw;
}

.regionData-gridcolumn strong 
{
	font-family: "Galano Grotesque";
	font-size: 1.1rem;
	font-weight: 600;
	color: #170e4f;
    width: 10vw;
}

#region-nav-arrows {
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
}

.region-nav-button {
    padding: 10px 20px;
    font-size: 16px;
	background-color: #ffc04c;
    color: white;
    border: 2px solid #ffc04c;
	border-radius: 50px !important;
    cursor: pointer;
    transition: background-color 0.3s;
}

.region-nav-button:hover 
{
    background-color: #170e4f;
	border-color:#170e4f;
}

.region-info button.region-nav-button
{
    border-radius: 50px !important;
	margin-top: 3vh;
	margin-right: 20px;
	width: 90px;
}

button.region-nav-button img
{
	width: 40px !important;
}


/* deuxième map color */

#regionData-grid-2 .regionData-gridcolumn strong
{
	color: #170e4f !important;
}

/* barre de progression responsive */

#interactive-map-container-2 svg path.active, 
#interactive-map-container-2 svg path:hover
{
	fill: #ffc04c !important;
}